import { html as l } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (p, e, r, s) => {
  for (var t = s > 1 ? void 0 : s ? m(e, r) : e, o = p.length - 1, i; o >= 0; o--)
    (i = p[o]) && (t = (s ? i(e, r, t) : i(t)) || t);
  return s && t && f(e, r, t), t;
};
let n = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--instantBank", this.class = "c-pieIcon c-pieIcon--instantBank", this.name = "IconInstantBank";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--instantBank"><path d="m12.064 9.599.976-1.865V6.628h1.394V5.173c0-.645-.349-1.228-.897-1.49L7.996 1.087 2.455 3.683c-.54.253-.897.837-.897 1.49v1.455h1.394v4.182a2.4 2.4 0 0 0-1.09 2.003v1.237H9.73l.68-1.306H3.178a1.09 1.09 0 0 1 1.089-1.02h6.69l.68-1.306H8.65v-3.79h3.084v3.607zm-7.797.819v-3.79h3.084v3.79zM2.864 5.312v-.148c0-.156.07-.27.14-.305l4.992-2.334 4.992 2.334c.07.035.139.149.139.305v.148z"></path><path d="M13.223 12.064V10.2l-.183.348-.105.2-.296.576-.252.479-.062.113-.383.732-.043.087-.096.183-.035.078h1.455v1.838l.418-.792.113-.21.375-.714.549-1.054z"></path></svg>`;
  }
};
c([
  a({ type: String, reflect: !0 })
], n.prototype, "size", 2);
c([
  a({ type: String, reflect: !0 })
], n.prototype, "class", 2);
n = c([
  v("icon-instant-bank")
], n);
export {
  n as IconInstantBank
};
